# eric3.DocumentationTools.DocGeneratorExecDialog

Module implementing a dialog to show the output of the documentation process.

### Classes

DocGeneratorExecDialog | Module implementing a dialog to show the output of the documentation process.

### Functions

None

## DocGeneratorExecDialog

Module implementing a dialog to show the output of the documentation process. This class starts a QProcess and displays a dialog that shows the output of the documentation command process.

### Derived from

DocGeneratorExecForm

### Methods

DocGeneratorExecDialog | Constructor
buttonPressed | Private slot connected to the button clicked signal.
finish | Private slot called when the process finished.
handleReadStderr | Private slot to handle the readyReadStderr signal.
handleReadStdout | Private slot to handle the readyReadStdout signal.
start | Public slot to start the documentation command.

### DocGeneratorExecDialog (Constructor)

DocGeneratorExecDialog(cmdname, parent = None)

Constructor

cmdname
  name of the documentation generator (string)
parent
  parent widget of this dialog (QWidget)

### DocGeneratorExecDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### DocGeneratorExecDialog.finish

finish()

Private slot called when the process finished. It is called when the process finished or the user pressed the button.

### DocGeneratorExecDialog.handleReadStderr

handleReadStderr()

Private slot to handle the readyReadStderr signal. It reads the error output of the process and inserts it into the error pane.

### DocGeneratorExecDialog.handleReadStdout

handleReadStdout()

Private slot to handle the readyReadStdout signal. It reads the output of the process, formats it and inserts it into the contents pane.

### DocGeneratorExecDialog.start

start(args, fn)

Public slot to start the documentation command.

args
  commandline arguments for documentation program (QStringList)
fn
  filename or dirname to be processed by documentation program

Returns:
  flag indicating the successful start of the process

Up